org.eclipse.wst.jsdt.debug.core.jsdi.connect

## Interface Connector.SelectedArgument

All Superinterfaces:
  Connector.Argument, java.io.Serializable

Enclosing interface:
  Connector

    public static interface Connector.SelectedArgument
    extends Connector.Argument

Specialization of `Connector.Argument` whose value is a String selected from a list of choices.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List` `choices()` The list of choices for this connector
`boolean` `isValid(java.lang.String value)` Returns if the given value is valid with-respect-to this `Connector.Argument`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.connect.Connector.Argument

`description, label, mustSpecify, name, setValue, value`

### Method Detail

#### choices

    java.util.List choices()

The list of choices for this connector

Returns:
  the complete list of choices for ths connector

#### isValid

    boolean isValid(java.lang.String value)

Description copied from interface: `Connector.Argument`
Returns if the given value is valid with-respect-to this `Connector.Argument`

Specified by:
  `isValid` in interface `Connector.Argument`
Parameters:
  `value` - the value to test for validity, `null` is accepted
Returns:
  `true` if the `Connector.Argument` is valid `false` otherwise